Help

Will the Felt Instrument plugins work in my DAW?


Felt Instruments plugins work in any DAW that supports VST, AU or AAX formats. This means that most major DAWs are supported. If you are in doubt, please, check with your DAW’s manufacturer if it supports any of the listed plugins.

If you’re a Mac user, please, note that Felt Instruments require macOS 10.11 or newer to run.